[youtubei.js](../../../../README.md) / [Generator](../README.md) / ObjectInferenceType

# Interface: ObjectInferenceType

Defined in: [src/parser/generator.ts:37](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L37)

## Properties

### keys

> **keys**: [`KeyInfo`](../type-aliases/KeyInfo.md)

Defined in: [src/parser/generator.ts:39](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L39)

***

### optional

> **optional**: `boolean`

Defined in: [src/parser/generator.ts:40](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L40)

***

### type

> **type**: `"object"`

Defined in: [src/parser/generator.ts:38](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L38)
